package LasTres::Schema::Result::Inventory;

use v5.36.0;

use strict;
use warnings;

use parent 'DBIx::Class::Core';

__PACKAGE__->table('inventories');

__PACKAGE__->add_columns(
    uuid => {
        data_type => 'uuid',
        is_nullable => 0,
    },
);
__PACKAGE__->set_primary_key('uuid');
__PACKAGE__->has_many('items', 'LasTres::Schema::Result::InventoryItem', 'inventory');
1;
